<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.system.mapper.XjrMenuDeptRelationMapper">
    <select id="getMenuDept" resultType="com.xjrsoft.module.system.vo.XjrMentDeptGroupVo">
        SELECT t2.menu_id,GROUP_CONCAT(DISTINCT(t1.name)) as dept_names,GROUP_CONCAT(DISTINCT(t1.id)) as dept_ids  FROM xjr_department t1
        INNER JOIN xjr_menu_dept_relation t2 ON t1.id = t2.dept_id
        WHERE t1.delete_mark = 0 GROUP BY t2.menu_id
    </select>
</mapper>